{% extends "views/default/base.html" %}

{% load static %}

{% block title %}YUYITOS | Producto{% endblock %}
{% block css %}
       
{% endblock css %}

{% block content %}
{% if user.is_staff or request.user.user_profile == 'operador' %}
        <div class="wrapper">
            
            <!-- Navbar -->
            {% include "views/default/header.html" %}
            <!-- /.navbar -->
            <!-- Main Sidebar Container -->
            {% include "views/default/menu.html" %}
            <!-- /.sidebar -->
            
            <div class="content-wrapper">
                <!-- Content Header (Page header) -->
                <div class="content-header">
                    <div class="container-fluid">
                        <div class="row mb-2">
                            <div class="col-sm-6">
                                <h1 class="m-0 text-dark">{{ title }}</h1>
                            </div><!-- /.col -->
                            <div class="col-sm-6">
                                <ol class="breadcrumb float-sm-right">
                                    <li class="breadcrumb-item"><a href="#">{{ entity }}</a></li>
                                    <li class="breadcrumb-item active">{{ entity }}</li>
                                </ol>
                            </div><!-- /.col -->
                        </div><!-- /.row -->
                    </div><!-- /.container-fluid -->
                </div>
                <!-- /.content-header -->
                <!-- Main content -->
                <section class="content">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-12">               
                                <!-- Default box -->
                                <div class="card card-secondary card-outline mb-4">
                                    <div class="card-header">
                                        
                                        <div class="row">
                                            <div class="col-lg-6 col-md-6 col-sm-6 mt-1">
                                                {% if perms.almacen.add_producto %}
                                                <a  href="{{ create_url }}" >
                                                    <button type="button" class="btn btn-success">
                                                        <i class="fas fa-plus"></i>&nbsp;&nbsp;Agregar Producto
                                                    </button>
                                                </a>
                                                {% endif %} 
                                            </div>
                                            
                                            <div class="col-lg-6 col-md-6 col-sm-6 text-right mt-1">
                                                
                                                <a  href="{% url 'almacen:producto_reporte_pdf' %}" target="_blank">
                                                    <button type="button" class="btn btn-primary ">
                                                        <i class="fas fa-chart-bar"></i>&nbsp;&nbsp;Ver Reporte
                                                    </button>
                                                </a>
                                                
                                            </div>
                                            
                                        </div>
                                    </div>
                                    <div class="card-body">
                                        <table id="tabla" class="table table-bordered table-striped">
                                            <thead class="bg-info">
                                            <tr>
                                                <th>Código</th>
                                                <th>Descripción</th>
                                                <th>Precio compra</th>
                                                <th>Precio venta</th>
                                                <th>Stock</th>
                                                <th>Fecha Vencimiento</th>
                                                <th>Imagen</th>
                                                <th>Opciones</th>
                                            </tr>
                                            </thead>
                                            
                                            
                                            {% if producto %}
                                            <tbody>
                                                {% for m in producto %} 
                                                <tr>
                                                    <td>{{ m.codigo }}</td> 
                                                    <td>{{ m.descripcion }}</td>  
                                                    <td>{{empresa.simbolo_moneda}} {{ m.precio_compra|floatformat:empresa.moneda_decimal }}</td>    
                                                    <td>{{empresa.simbolo_moneda}} {{ m.precio_venta|floatformat:empresa.moneda_decimal   }}</td> 
                                                    {% if m.stock <= m.stock_critico %}
                                                        <td><b style="color:red;">{{ m.stock }}</b></td>
                                                    {% else %}
                                                        <td><b style="color:green;">{{ m.stock }}</b></td>
                                                    {% endif %}  
                                                    {% if m.get_date >= m.fecha_vencimiento %}
                                                        <td><b style="color:red;">{{ m.fecha_vencimiento }}</b></td>
                                                    {% else %}
                                                        <td><b style="color:green;">{{ m.fecha_vencimiento }}</b></td>
                                                    {% endif %}   
                                                                     
                                                    <td class="text-center">
                                                        <img src="{{ m.get_image }}" class="img-fluid d-block mx-auto" style="width: 20px; height: 20px;">
                                                        
                                                    </td> 
                                                    <td class="project-actions text-center">
                                                        {% if perms.almacen.view_producto %}
                                                        <a class="btn btn-info btn-sm" href="{{ m.get_absolute_url }}" >
                                                            <i class="fas fa-eye"></i>
                                                        </a>
                                                        {% endif %}                                                              {% if perms.almacen.change_producto %}
                                                        <a class="btn btn-warning btn-sm" href="{% url 'almacen:producto_update' m.codigo%}">
                                                            <i class="fas fa-pencil-alt"></i>
                                                        </a>
                                                        {% endif %}  
                                                        {% if perms.almacen.delete_producto %}
                                                        <a class="btn btn-danger btn-sm" href="{% url 'almacen:producto_delete' m.codigo %}">
                                                            <i class="fas fa-trash"></i>
                                                        </a>
                                                        {% endif %} 

                                                        <button style="visibility: hidden;" class="btn btn-success btn-sm">
                                                            <i class="fas fa-barcode"></i>
                                                        </button>
                                                    </td>
                                                </tr>
                                              {% endfor %}
                                            </tbody>
                                            {% endif %}  
                                            <tfoot class="bg-info">
                                                <tr>
                                                    <th>Código Interno</th>
                                                    <th>Descripción</th>
                                                    <th>Precio compra</th>
                                                    <th>Precio venta</th>
                                                    <th>Stock</th>
                                                    <th>Fecha Vencimiento</th>
                                                    <th>Imagen</th>
                                                    <th>Opciones</th>
                                                </tr>
                                            </tfoot>
                                        </table>
                                    </div>
                                    <!-- /.card-body -->
                                    <div class="card-footer">

                                    </div>
                                    <!-- /.card-footer-->
                                </div>
                                <!-- /.card -->
                            </div>
                        </div>
                    </div>
                </section>
                <!-- /.content -->
            </div>
            {% include "views/default/footer.html" %}
           
        </div>
        <!-- ./wrapper -->
        {% endif %}
        <!-- REQUIRED SCRIPTS -->
        {% endblock content %}
        {% block js %}
        <script src="{% static 'dist/js/list.js' %}"></script>
        {% if messages %}
            {% for message in messages %}
                {% if message.tags == 'success'%}
                <script type=text/javascript>
                toastr.{{ message.tags }}('{{ message }}')               
                </script>
                {% endif %}
            {% endfor %}
        {% endif %}
        {% endblock js %}


                                         
                                    